LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBrowseNodeFactory Interface Reference

This interface provides a factory for obtaining objects implementing the XBrowseNode interface. More...

`import"XBrowseNodeFactory.idl";`

Inheritance diagram for XBrowseNodeFactory:

## Public Member Functions
com::sun::star::script::browse::XBrowseNode | createView ([in] short viewType)
| a factory method for the creation of XBrowseNodes ( view ) com::sun::star::script::browse::BrowseNodeFactoryViewTypes specifies the type of view to be returned More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides a factory for obtaining objects implementing the XBrowseNode interface.

## Member Function Documentation

## ◆ createView()

com::sun::star::script::browse::XBrowseNode createView | ( | [in] short | viewType | ) |

a factory method for the creation of XBrowseNodes ( view ) com::sun::star::script::browse::BrowseNodeFactoryViewTypes specifies the type of view to be returned

Returns
  an object implementing com::sun::star::script::browse::XBrowseNode

The documentation for this interface was generated from the following file:

- com/sun/star/script/browse/XBrowseNodeFactory.idl